claw::avl_base< K, Comp >::avl_const_iterator Class Reference

AVL iterator. More...

`#include <avl_base.hpp>`

## Public Types

typedef K | value_type
typedef const K & | reference
typedef const K *const | pointer
typedef ptrdiff_t | difference_type
typedef std::bidirectional_iterator_tag | iterator_category

## Public Member Functions

| avl_const_iterator (const_avl_node_ptr node, bool final)
avl_const_iterator & | operator++ ()
avl_const_iterator | operator++ (int)
avl_const_iterator & | operator-- ()
avl_const_iterator | operator-- (int)
reference | operator* () const
pointer | operator-> () const
bool | operator== (const avl_const_iterator &it) const
bool | operator!= (const avl_const_iterator &it) const

## Detailed Description

template<class K, class Comp = std::less<K>>
class claw::avl_base< K, Comp >::avl_const_iterator

AVL iterator.

Definition at line 167 of file avl_base.hpp.

## Member Typedef Documentation

## difference_type

template<class K, class Comp = std::less<K>>

typedef ptrdiff_t claw::avl_base< K, Comp >::avl_const_iterator::difference_type

Definition at line 173 of file avl_base.hpp.

## iterator_category

template<class K, class Comp = std::less<K>>

typedef std::bidirectional_iterator_tag claw::avl_base< K, Comp >::avl_const_iterator::iterator_category

Definition at line 175 of file avl_base.hpp.

## pointer

template<class K, class Comp = std::less<K>>

typedef const K* const claw::avl_base< K, Comp >::avl_const_iterator::pointer

Definition at line 172 of file avl_base.hpp.

## reference

template<class K, class Comp = std::less<K>>

typedef const K& claw::avl_base< K, Comp >::avl_const_iterator::reference

Definition at line 171 of file avl_base.hpp.

## value_type

template<class K, class Comp = std::less<K>>

typedef K claw::avl_base< K, Comp >::avl_const_iterator::value_type

Definition at line 170 of file avl_base.hpp.

The documentation for this class was generated from the following file:

- avl_base.hpp